Altap Salamander on Windows 8.1 - Compatibility Mode

Discussion of bugs and problems found in Altap Salamander. In your reports, please be as descriptive as possible, and report one incident per report. Do not post crash reports here, send us the generated bug report by email instead, please.
mariob
Posts: 2
Joined: 10 Feb 2007, 09:55

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by mariob » 13 Nov 2015, 09:44

Hi,

I started receiving "Compatibility" popup after implementing pixel-scaling manifest as described on this page:
http://spaghettidba.com/2015/10/14/ssms ... e-madness/

Regards,
Mario

Jan Rysavy
ALTAP Staff
ALTAP Staff
Posts: 5196
Joined: 08 Dec 2005, 06:34
Location: Novy Bor, Czech Republic
Contact:

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by Jan Rysavy » 13 Nov 2015, 10:19

What version of Altap Salamander are you using?

danielb
Posts: 4
Joined: 31 Jul 2016, 13:24

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by danielb » 31 Jul 2016, 13:31

Jan Rysavy wrote:It is not possible with Altap Salamander 2.54, problem is fixed from version 3.0.
May I ask though why that is? Why cant you release a 2.55 with that fix?

At the moment there is no difference between a paid 2.54 and an unpaid x.x version - all come with a (sort of) nag-screen.

I'd love to purchase a new 3.x license (and I mean a new one, not just an upgrade) but - and I do not want to delve too much into this issue, plenty of people have done that before - the pace at which Altap is making new features (such as Unicode) available - or better not available - is simply making any upgrade (let alone new license) uninteresting.

Jan Rysavy
ALTAP Staff
ALTAP Staff
Posts: 5196
Joined: 08 Dec 2005, 06:34
Location: Novy Bor, Czech Republic
Contact:

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by Jan Rysavy » 31 Jul 2016, 20:30

We plan to release AS 3.08 with further bug fixes and security patches but we don't plan to release patches for version 2.5x. We also don't plan to work on old freeware 1.5x version.

danielb
Posts: 4
Joined: 31 Jul 2016, 13:24

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by danielb » 31 Jul 2016, 21:58

Jan Rysavy wrote:We plan to release AS 3.08 with further bug fixes and security patches but we don't plan to release patches for version 2.5x. We also don't plan to work on old freeware 1.5x version.
Thanks Jan, though that is exactly what I already understood from your first response.

My question was why. This popup is obviously a bug of Salamander on 8.1 and, the way it is, presents a veritable nuisance for users. There is no difference in user experience between that popup and the nag screen with an unlicensed version. So if I upgrade (software-wise, not license-wise) to 3.0 I will have a newer version, still the "same" screen to click away, BUT won't have paid for it. Should the only incentive to pay for the upgrade not to have such an intermediary screen anymore?

Again, I'd love to pay for an upgrade (Salamander is IMO the best orthodox file manager on Windows) but 3.0 simply does not provide enough incentives to do so. Once there is Unicode support and other significant changes I'll be happy to reevaluate my view.

User avatar
SelfMan
Posts: 956
Joined: 05 Apr 2006, 20:51
Contact:

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by SelfMan » 31 Jul 2016, 22:57

@danielb - sorry but this is like asking Microsoft to support IE8. Like MS isnt supporting Windows 8 anyway. (you have to be on 8.1, for those you dont know)
One of the reasons to get an upgrade is the already implemented x64 support.
The price of Altap Salamander is a laugh compared to other things.

danielb
Posts: 4
Joined: 31 Jul 2016, 13:24

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by danielb » 31 Jul 2016, 23:12

SelfMan wrote:@danielb - sorry but this is like asking Microsoft to support IE8. Like MS isnt supporting Windows 8 anyway. (you have to be on 8.1, for those you dont know)
One of the reasons to get an upgrade is the already implemented x64 support.
The price of Altap Salamander is a laugh compared to other things.
Well, my question was not related to any fixes in features or about updated third party libraries but was strictly focused on a - presumably incorrectly implemented - version query Altap implemented and which blows up on 8.1. Releasing a patch with that fixed or with the aforementioned manifest really shouldnt be asked too much.

The fact that remains is that at this moment it doesnt matter whether you have paid for a 2.5 license or have an unlicensed 3.0 version - the user experience is the same. x64 is nice but (for me) not crucial or a real argument for a paid upgrade.

User avatar
SelfMan
Posts: 956
Joined: 05 Apr 2006, 20:51
Contact:

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by SelfMan » 31 Jul 2016, 23:27

Well, the 2.54 verson was released in 2010, Windows 8 came 2012, 8.1 came 2013. At that time the Altap Salamander 3.0 beta 3 has been released.
So its bit hard to say they broke something in 2010.

danielb
Posts: 4
Joined: 31 Jul 2016, 13:24

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by danielb » 31 Jul 2016, 23:41

Actually in this case it is not hard.

That dialog comes from the application itself, obviously I cant say what exactly makes them show it but it would appear something in the version information returned by the system bothers them. It is like a website which queries the browser version and, for compatibility issues, refuses to work with versions starting with "1". Of course there will be a problem once that browser reaches version 10.

Jan Rysavy
ALTAP Staff
ALTAP Staff
Posts: 5196
Joined: 08 Dec 2005, 06:34
Location: Novy Bor, Czech Republic
Contact:

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by Jan Rysavy » 01 Aug 2016, 09:53

Altap Salamander 3.x contains many more bug fixes and updates besides this compatibility warning, for example proper support for Windows 8.1 and Windows 10. If we overlook the fact we no longer have Visual Studio 6 with old SDK and related tools installed on our development machines, we don't want to encourage users to use version 2.5x with newer Windows.

We need to focus on major Salamander improvements such as Unicode, UAC, or HiDPI support.

User avatar
SvA
Posts: 455
Joined: 29 Mar 2006, 02:41
Location: DE

Re: Altap Salamander on Windows 8.1 - Compatibility Mode

Post by SvA » 01 Aug 2016, 14:46

danielb wrote:Actually in this case it is not hard.

That dialog comes from the application itself, obviously I cant say what exactly makes them show it but it would appear something in the version information returned by the system bothers them. It is like a website which queries the browser version and, for compatibility issues, refuses to work with versions starting with "1". Of course there will be a problem once that browser reaches version 10.
Well, actually, I think your judgement is unjustified. At the time Altap designed their version check to warn people of undesirable side effects of using compatibility mode, the user had to deliberately opt in on compatibility mode.

Then, with their next version of Windows, Microsoft decided, that any program, that was not release after thet OS and adjusted specifically for thet OS, by default runs in compatibility mode. So, please, go complain to Microsoft about their shortsightedness and and their impertinence to give the user no option to turn off that compatibility mode.

And, as I see it, it is not Altap's responsibility to provide corrections/updates for their old products to remedy for Microsofts inconsiderate decisions.

So here are your Options:
Attachments
Salamand.exe.manifest.zip
(801 Bytes) Downloaded 122 times

Post Reply